Subject: Re: bug#61602: [PATCH]: comint-mode redirection

From: Andreas Schwab <[email-masked]>
Date: Fri, 12 May 2023 09:54:46 +0200

On Mai 12 2023, Ruijie Yu via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

>>> > -If NO-DISPLAY is non-nil, do not show the output buffer."
>>> > +If NO-DISPLAY is non-nil, do not show the output buffer.
>>> > +If FINISHED-REGEXP is non-nil it is used as `comint-redirect-finished-regexp'
>>> > +instead of `comint-prompt-regexp'."
>>> 
>>> Please clarify what "it" is.
>>
>> I think it's clear in this case: there's no other candidate for being
>> "it" here except FINISHED-REGEXP.
>
> When I first read this sentence, I interpretted it as:
>
>     If F-R is non-nil, F-R is used as `c-r-f-r'.  Otherwise F-R is used
>     as `c-p-r'.
>
> I don't know.  Maybe you see it differently, in which case I'm fine with
> not changing it.

Perhaps a better wording:

FINISHED-REGEXP is used as `comint-redirect-finished-regexp'.  If
FINISHED-REGEXP is nil it defaults to `comint-prompt-regexp'.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."